import React from 'react';
import { AnalyticsBrowser, AnalyticsBrowserSettings, InitOptions } from '@segment/analytics-next';
export declare const createClient: (settings: AnalyticsBrowserSettings, options?: InitOptions | undefined) => AnalyticsBrowser;
export declare type AnalyticsProviderProps = {
    client: AnalyticsBrowser;
    children?: React.ReactNode;
};
export declare const AnalyticsProvider: ({ client, children, }: AnalyticsProviderProps) => JSX.Element;
export declare const useAnalytics: () => AnalyticsBrowser;
